Skip to main content
GET
/
api
/
v2
/
swap
/
approve
/
allowance
GET /api/v2/swap/approve/allowance — Check ERC-20 allowance (EVM only)
curl --request GET \
  --url https://api.shuriken.trade/api/v2/swap/approve/allowance \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "allowance": "<string>",
    "chainId": 1,
    "tokenAddress": "<string>",
    "walletAddress": "<string>"
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

chainId
integer<int64>
required

EVM chain ID (8453=Base, 56=BSC, 143=Monad)

Required range: x >= 0
tokenAddress
string
required

ERC-20 token contract address

walletAddress
string
required

Wallet address to check allowance for

Response

200 - application/json

Allowance amount

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info